<?php

/**
 * Goweb Sitemanager 5 Framework
 *
 * Helper para formatar a data
 *
 * @version    5.1.3
 * @category   Goweb
 * @package    Goweb_View
 * @subpackage Helper
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2010 (c) Goweb (http://www.goweb.pt)
 */

goweb::loadClass('Zend_View_Helper_Abstract');

/**
 * Helper para formatar a data
 *
 * @version    5.1.3
 * @category   Goweb
 * @package    Goweb_View
 * @subpackage Helper
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2010 (c) Goweb (http://www.goweb.pt)
 */
class Goweb_View_Helper_DateFormat extends Zend_View_Helper_Abstract {

    /**
     * Formatar a data
     *
     * @param String $format O formato da data
     * @param String $date A data
     * @return String
     */
    public function DateFormat($format, $date) {
        $dateArray = explode('-', $date);
        if(!isset($dateArray[1]) || $dateArray[1] == '00') $dateArray[1] = date("m");
        if(!isset($dateArray[2]) || $dateArray[2] == '00') $dateArray[2] = date("d");
        if(!is_numeric($dateArray[0]) || $dateArray[0] == '0000') $dateArray[0] = date("Y");
        return date($format, mktime(0, 0, 0, $dateArray[1], $dateArray[2], $dateArray[0]));
    }
}